PSRINFO(1)

NAME
psrinfo - displays information about processors

SYNOPSIS
psrinfo [ -v ] [ processor_id ... ]

psrinfo -s processor_id

psrinfo -n

DESCRIPTION
The psrinfo command displays processor information.

If no processor_id is given, all processors are assumed. processor_id can be a single number, or a range, as in 0-3 to select the first four processors.

The psrinfo command accepts the following options:

-n  Displays the number of processors.

-s  Silent operation. Exactly one processor_id is processed, and it must be a single number. The exit status is zero if the processor is present, non-zero otherwise.

-v  Verbose operation. Displays processor type, clock speed, and availability of a floating point unit.

FILES

/proc/cpuinfo
    Used to determine the clock speeds.

/proc/stat
    Used to determine the number of processors and the on-line times.

SEE ALSO
uname(1), uname(2), proc(5)